<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CMakeRunConfigurationManager" shouldGenerate="true" shouldDeleteObsolete="true">
    <generated />
  </component>
  <component name="CMakeSettings">
    <configurations>
      <configuration PROFILE_NAME="Debug" CONFIG_NAME="Debug" />
    </configurations>
  </component>
  <component name="CargoProjects">
    <cargoProject FILE="$PROJECT_DIR$/Cargo.toml" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="a41bed0d-bee3-4326-80a4-bca6742f0d19" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ClangdSettings">
    <option name="formatViaClangd" value="false" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MacroExpansionManager">
    <option name="directoryName" value="zf5qvhsf" />
  </component>
  <component name="ProjectId" id="1fBXGUi3dGZ1f1VZpsk6AzRY08I" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="cf.first.check.clang-format" value="false" />
    <property name="org.rust.cargo.project.model.PROJECT_DISCOVERY" value="true" />
  </component>
  <component name="RustProjectSettings">
    <option name="toolchainHomeDirectory" value="$USER_HOME$/.cargo/bin" />
    <option name="version" value="2" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a41bed0d-bee3-4326-80a4-bca6742f0d19" name="Default Changelist" comment="" />
      <created>1595692363236</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1595692363236</updated>
      <workItem from="1595692364684" duration="644000" />
      <workItem from="1595766754852" duration="1006000" />
    </task>
    <servers />
  </component>
  <component name="WindowStateProjectService">
    <state x="429" y="-1430" width="670" height="676" key="search.everywhere.popup" timestamp="1595767460641">
      <screen x="-916" y="-1867" width="3360" height="1867" />
    </state>
    <state x="429" y="-1430" width="670" height="676" key="search.everywhere.popup/-916.-1867.3360.1867/0.23.1792.1024@-916.-1867.3360.1867" timestamp="1595767460641" />
  </component>
</project>